using LiteDB;
using Microsoft.Extensions.Options;

namespace api.Database
{
	public class LiteDbContext {
		public readonly LiteDatabase Context;
		public LiteDbContext(IOptions<LiteDbConfig> config) {
			var db = new LiteDatabase(config.Value.DatabasePath);
			if(db != null) {
				Context = db;
			}
		}
	}
}